Subject: Re: [bitcoin-dev] Built in encryption

From: Lucas Clemente Vella <[email-masked]>
Date: Mon, 19 Feb 2018 17:11:56 -0300

Theoretically, if the recipient address had already disclosed the
public key (i.e. already spent from that address), or shared it with
you instead of (or alongside with) the address, then you can use
recipient's ECDSA key to encrypt the message with ECC, as both ECDSA
and ECC share the same kind of public/private key pair, according to
the this link: https://crypto.stackexchange.com/questions/14662/using-ecdsa-keys-for-encryption

In practice, I am not sure the nodes would broadcast such non-standard
transaction (but it can be mined, nonetheless).

2018-02-19 6:21 GMT-03:00 Ilan Oh via bitcoin-dev
<[email-masked]>:
> Hey guys,
>
> Features info,
> I know we can add text to a btc transaction and it is pretty easy,
>
> However is it possible to encrypt the data in a way that only the receiver
> would be able to read it in clear.
> And of course without having to exchange info off the network.
>
> And if not possible on bitcoin would it be possible on a sidechain or on rsk
> or else
>
> I have few ideas of concrete uses of it, I'm sure you guys may also think of
> something interesting,
>
> Thanks,
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>

-- 
Lucas Clemente Vella
[email-masked]